Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.e2e.common
Class POImpl

    java.lang.Object
      |
      +--examples.e2e.common.POImpl

public class POImpl
extends java.lang.Object
implements PO

Represents a purchase order that is to be communicated to supplier(s).

See Also:
  Serialized Form

Constructor Summary
`POImpl(java.lang.String poNumber, java.util.Calendar creationDate, POStatus status, java.lang.String supplierName, java.lang.String productId, java.lang.String description, long qty, Money unitPrice, java.util.Calendar promiseDate)`

Method Summary
`java.util.Calendar` | `creationDate()` Returns the date this ``PO`` was created.
`java.lang.String` | `description()` Returns a description for the product supplied.
`java.lang.String` | `poNumber()` Returns the identifier for this purchase order.
`java.lang.String` | `productId()` Returns the identifier for the product supplied.
`java.util.Calendar` | `promiseDate()` Returns the date promised by the supplier.
`long` | `qty()` Returns the quantity of the product supplied.
`java.util.Calendar` | `setCreationDate(java.util.Calendar date)` Sets the date this ``PO`` was created.
`java.lang.String` | `setDescription(java.lang.String description)` Sets a description for the product supplied.
`java.lang.String` | `setPoNumber(java.lang.String poNumber)` Sets the identifier for this purchase order.
`java.lang.String` | `setProductId(java.lang.String id)` Sets the identifier for the product supplied.
`java.util.Calendar` | `setPromiseDate(java.util.Calendar promiseDate)` Sets the date promised by the supplier.
`long` | `setQty(long qty)` Sets the quantity of the product supplied.
`POStatus` | `setStatus(POStatus status)` Sets the status of this ``PO``.
`java.lang.String` | `setSupplierName(java.lang.String name)` Sets the name of the supplier associated with this ``PO``.
`Money` | `setUnitPrice(Money unitPrice)` Sets the unit price for each item supplied.
`POStatus` | `status()` Returns the status of this ``PO``.
`java.lang.String` | `statusString()` Returns the status of this ``PO``.
`java.lang.String` | `supplierName()` Returns the name of the supplier associated with this ``PO``.
`Money` | `total()` Returns the total cost for the ``PO``.
`Money` | `unitPrice()` Returns the unit price for each item supplied.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POImpl

    public POImpl(java.lang.String poNumber,
                  java.util.Calendar creationDate,
                  POStatus status,
                  java.lang.String supplierName,
                  java.lang.String productId,
                  java.lang.String description,
                  long qty,
                  Money unitPrice,
                  java.util.Calendar promiseDate)

Method Detail

### poNumber

    public java.lang.String poNumber()

  Returns the identifier for this purchase order.
  Specified by:
    poNumber in interface PO

### creationDate

    public java.util.Calendar creationDate()

  Returns the date this ``PO`` was created.
  Specified by:
    creationDate in interface PO

### status

    public POStatus status()

  Returns the status of this ``PO``. This value is generally one of Pending, Acknowledged, Shipped or Received.
  Specified by:
    status in interface PO

### statusString

    public java.lang.String statusString()

  Returns the status of this ``PO``. This value is generally one of Pending, Acknowledged, Shipped or Received.
  Specified by:
    statusString in interface PO

### supplierName

    public java.lang.String supplierName()

  Returns the name of the supplier associated with this ``PO``.
  Specified by:
    supplierName in interface PO

### productId

    public java.lang.String productId()

  Returns the identifier for the product supplied.
  Specified by:
    productId in interface PO

### description

    public java.lang.String description()

  Returns a description for the product supplied.
  Specified by:
    description in interface PO

### qty

    public long qty()

  Returns the quantity of the product supplied.
  Specified by:
    qty in interface PO

### unitPrice

    public Money unitPrice()

  Returns the unit price for each item supplied.
  Specified by:
    unitPrice in interface PO

### promiseDate

    public java.util.Calendar promiseDate()

  Returns the date promised by the supplier.
  Specified by:
    promiseDate in interface PO

### total

    public Money total()

  Returns the total cost for the ``PO``.
  Specified by:
    total in interface PO

### setPoNumber

    public java.lang.String setPoNumber(java.lang.String poNumber)

  Sets the identifier for this purchase order.

### setCreationDate

    public java.util.Calendar setCreationDate(java.util.Calendar date)

  Sets the date this ``PO`` was created.

### setStatus

    public POStatus setStatus(POStatus status)

  Sets the status of this ``PO``. This value is generally one of Pending, Acknowledged, Shipped or Received.

### setSupplierName

    public java.lang.String setSupplierName(java.lang.String name)

  Sets the name of the supplier associated with this ``PO``.

### setProductId

    public java.lang.String setProductId(java.lang.String id)

  Sets the identifier for the product supplied.

### setDescription

    public java.lang.String setDescription(java.lang.String description)

  Sets a description for the product supplied.

### setQty

    public long setQty(long qty)

  Sets the quantity of the product supplied.

### setUnitPrice

    public Money setUnitPrice(Money unitPrice)

  Sets the unit price for each item supplied.

### setPromiseDate

    public java.util.Calendar setPromiseDate(java.util.Calendar promiseDate)

  Sets the date promised by the supplier.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved